import { RequestType, RequestHandler, HandlerResult, CancellationToken } from 'vscode-jsonrpc';
export interface ProposedConfigurationClientCapabilities {
    configuration?: boolean;
}
/**
 * The 'workspace/getConfiguration' request is sent from the server to the client to fetch a certain
 * configuration setting.
 */
export declare namespace GetConfigurationRequest {
    const type: RequestType<GetConfigurationParams, any[], void, void>;
    type HandlerSignature = RequestHandler<GetConfigurationParams, any[], void>;
    type MiddlewareSignature = (params: GetConfigurationParams, token: CancellationToken, next: HandlerSignature) => HandlerResult<any[], void>;
}
export interface ConfigurationItem {
    /**
     * The scope to get the configuration section for.
     */
    scopeUri?: string;
    /**
     * The configuration section asked for.
     */
    section?: string;
}
/**
 * The parameters of a get configuration request.
 */
export interface GetConfigurationParams {
    items: ConfigurationItem[];
}
