/* --------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_jsonrpc_1 = require("vscode-jsonrpc");
/**
 * The `workspace/getWorkspaceFolders` is sent from the server to the client to fetch the open workspace folders.
 */
var GetWorkspaceFolders;
(function (GetWorkspaceFolders) {
    GetWorkspaceFolders.type = new vscode_jsonrpc_1.RequestType0('workspace/workspaceFolders');
})(GetWorkspaceFolders = exports.GetWorkspaceFolders || (exports.GetWorkspaceFolders = {}));
/**
 * The `workspace/getWorkspaceFolder` is sent from the server to the client to fetch the workspace folder for a
 * specific resource.
 */
var GetWorkspaceFolder;
(function (GetWorkspaceFolder) {
    GetWorkspaceFolder.type = new vscode_jsonrpc_1.RequestType('workspace/workspaceFolder');
})(GetWorkspaceFolder = exports.GetWorkspaceFolder || (exports.GetWorkspaceFolder = {}));
/**
 * The `workspace/didChangeWorkspaceFolders` notification is sent from the client to the server when the workspace
 * folder configuration changes.
 */
var DidChangeWorkspaceFolders;
(function (DidChangeWorkspaceFolders) {
    DidChangeWorkspaceFolders.type = new vscode_jsonrpc_1.NotificationType('workspace/didChangeWorkspaceFolders');
})(DidChangeWorkspaceFolders = exports.DidChangeWorkspaceFolders || (exports.DidChangeWorkspaceFolders = {}));
